## net.sourceforge.pmd.cpd
Class CPPLanguage.CPPFileOrDirectoryFilter

    java.lang.Object
      net.sourceforge.pmd.cpd.CPPLanguage.CPPFileOrDirectoryFilter

All Implemented Interfaces:
  java.io.FilenameFilter

Enclosing class:
  CPPLanguage

public static class CPPLanguage.CPPFileOrDirectoryFilter
extends java.lang.Object
implements java.io.FilenameFilter

Constructor Summary
`CPPLanguage.CPPFileOrDirectoryFilter()`

Method Summary
`boolean` `accept(java.io.File dir, java.lang.String filename)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CPPLanguage.CPPFileOrDirectoryFilter

    public CPPLanguage.CPPFileOrDirectoryFilter()

Method Detail

### accept

    public boolean accept(java.io.File dir,
                          java.lang.String filename)

  Specified by:
    `accept` in interface `java.io.FilenameFilter`

Copyright © 2002-2006 InfoEther. All Rights Reserved.